## ros-galactic-wiimote-msgs 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(wiimote_msgs)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_auto REQUIRED)

ament_auto_find_build_dependencies(
  REQUIRED
  builtin_interfaces
  geometry_msgs
  rosidl_default_generators
  std_msgs
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# generate the messages
rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/IrSourceInfo.msg"
  "msg/State.msg"
  "msg/TimedSwitch.msg"
  DEPENDENCIES geometry_msgs std_msgs builtin_interfaces
  ADD_LINTER_TESTS)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-galactic-wiimote-msgs (3.0.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 28 Jan 2022 00:00:00 -0000

ros-galactic-wiimote-msgs (3.0.0-1focal) focal; urgency=high

  * Port over Wiimote to ROS2 Foxy (#175 <https://github.com/ros-drivers/joystick_drivers/issues/175>)
  * Contributors: Kuni Natsuki

 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 12 Mar 2021 00:00:00 -0000

ros-galactic-wiimote-msgs (2.4.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 13 May 2020 00:00:00 -0000

ros-galactic-wiimote-msgs (2.4.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 12 May 2020 00:00:00 -0000

ros-galactic-wiimote-msgs (1.13.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 24 Jun 2019 00:00:00 -0000

ros-galactic-wiimote-msgs (1.12.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 11 Jun 2018 00:00:00 -0000

ros-galactic-wiimote-msgs (1.11.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 11 Feb 2017 00:00:00 -0000

ros-galactic-wiimote-msgs (1.10.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 24 May 2015 00:00:00 -0000

ros-galactic-wiimote-msgs (1.10.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 26 Jun 2014 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.10-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Mon, 29 Apr 2013 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.9-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Wed, 13 Mar 2013 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.8-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 03 Feb 2013 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.7-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 22 Jan 2013 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.6-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Thu, 20 Dec 2012 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.5-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Fri, 14 Dec 2012 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.4-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Tue, 06 Nov 2012 00:00:00 -0000

ros-galactic-wiimote-msgs (1.9.3-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 04 Nov 2012 23:46:00 -0000

ros-galactic-wiimote-msgs (1.9.2-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 04 Nov 2012 08:53:00 -0000

ros-galactic-wiimote-msgs (1.9.1-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sun, 04 Nov 2012 01:56:00 -0000

ros-galactic-wiimote-msgs (1.9.0-1focal) focal; urgency=high



 -- Jonathan Bohren <jbo@jhu.edu>  Sat, 03 Nov 2012 00:00:00 -0000

=== debian/control ===
Source: ros-galactic-wiimote-msgs
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-auto, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/wiimote
Standards-Version: 3.9.2

Package: ros-galactic-wiimote-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-builtin-interfaces, ros-galactic-geometry-msgs, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Messages used by wiimote package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-wiimote-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
